FROM jenkins/jenkins:2.332

USER root
RUN apt-get update \
    && apt-get upgrade -y \
    && apt-get install -y \
        sudo \
        libltdl-dev \
        libgtk-3-0 \
        libdbus-glib-1-2 \
        xvfb \
        default-mysql-client \
        build-essential \
        python \
        vim \
        wget \
    && curl -L https://github.com/docker/compose/releases/download/1.25.0/docker-compose-`uname -s`-`uname -m` \
        -o /usr/local/bin/docker-compose \
    && chmod +x /usr/local/bin/docker-compose \
    && rm -rf /var/lib/apt/lists/* \
    && echo "jenkins ALL=NOPASSWD: ALL" >> /etc/sudoers \
    && groupadd  -g 998 docker \
    && usermod -a -G docker jenkins

RUN cd /opt \
    && wget https://ftp.mozilla.org/pub/firefox/releases/64.0.2/linux-x86_64/en-US/firefox-64.0.2.tar.bz2 \
    && tar xvjf firefox-64.0.2.tar.bz2 \
    && rm firefox-64.0.2.tar.bz2

USER jenkins